Bug 610970 - python-paste-script is bundling other python libraries
python-paste-script is bundling other python libraries
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-paste-script (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 18:06 EDT by Toshio Ernie Kuratomi
Modified: 2016-09-19 22:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:17:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use system tempita instead of one bundled in the paste package (530 bytes, patch)
2010-07-30 23:41 EDT, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2010-07-02 18:06:30 EDT
Description of problem:

The directory /usr/lib/python2.6/site-packages/paste/script/wsgiserver/
and the __init__.py inside of it are taken from the CherryPy project.  We need to unbundle that file so we aren't copying it all over the place, something that makes for problems if security problems or just plain bugfixes get fixed upstream in cherrypy but the other projects don't pick up the changes (python-paste-scripts copy is 3.1.1 but 3.1.2 is the current upstream stable).


Version-Release number of selected component (if applicable):

python-paste-script-1.7.3-3.fc12.noarch

Additional Info:
I've documented a few ways to fix this here:

https://fedoraproject.org/wiki/User:Toshio/Unbundling_Python_Modules

Additionally, we may want to start packaging the wsgiserver directory separately from cherrypy.  The CherryPy upstream does not package it standalone but he does make it easy to get the code separately on the website:

http://www.cherrypy.org/wiki/CherryPyDownload#StandaloneWSGIserver
Comment 1 Toshio Ernie Kuratomi 2010-07-03 11:58:51 EDT
I've committed a fix to rawhide but there's a few things that I'm not sure about.

1) The fix makes us Require python-cherrypy.  Unavoidable unless we talk to FuManchu about pulling wsgiserver out of CherryPy into its own upstream module.

2) The fix for uuid treats it like the modules that are in the stdlib in python-2.4 but I'm not sure we should do that.  python-2.4 is a sweet spot for upstreams to target so people needing a uuid implementation on python-2.4 may import paste.script.utils.uuid instead of importing it from the python-uuid module. (uuid was implemented in the stdlib for python-2.5)

A better fix might be more like the wsgiserver patch:  make the bundled uuid private and try to import uuid from the system to fill the symbols in a paste compatibility layer.  Look at the wsgiserver patch or the second to last example on https://fedoraproject.org/wiki/User:Toshio/Unbundling_Python_Modules
Comment 2 Bug Zapper 2010-07-30 08:24:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Toshio Ernie Kuratomi 2010-07-30 23:41:11 EDT
Found that this is using the tempita bundled in python-paste as well.  While that's stritly speaking a problem with paste, we should have it use the system version instead.  Will attach a patch.

All of these patches should make their way upstream....
Comment 4 Toshio Ernie Kuratomi 2010-07-30 23:41:51 EDT
Created attachment 435719 [details]
Patch to use system tempita instead of one bundled in the paste package
Comment 5 Fedora End Of Life 2013-04-03 14:45:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora End Of Life 2015-01-09 11:16:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 08:17:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.